edu.sc.seis.sod.source.network

## Class StationXML

- java.lang.Object
- - edu.sc.seis.sod.source.AbstractSource
  - - edu.sc.seis.sod.source.network.AbstractNetworkSource
    - - edu.sc.seis.sod.source.network.StationXML

- All Implemented Interfaces:
    NetworkSource, Source

  Deprecated.

      @Deprecated
      public class StationXML
      extends AbstractNetworkSource
      implements NetworkSource

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte[]` | `EMPTY_STATIONXML` Deprecated.
    `static edu.iris.Fissures.model.TimeInterval` | `ONE_DAY` Deprecated.
    `static edu.iris.Fissures.model.TimeInterval` | `ONE_SECOND` Deprecated.
    `static java.lang.String` | `URL_ELEMENT` Deprecated.

    - ### Fields inherited from class edu.sc.seis.sod.source.network.AbstractNetworkSource

      `REFRESH_ELEMENT`

    - ### Fields inherited from class edu.sc.seis.sod.source.AbstractSource

      `name, NAME_ELEMENT, RETRIES_ELEMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StationXML(org.w3c.dom.Element config)` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<? extends edu.iris.Fissures.network.ChannelImpl>` | `getChannels(edu.iris.Fissures.network.StationImpl station)` Deprecated.
    `java.lang.String` | `getDNS()` Deprecated.
    `edu.iris.Fissures.IfNetwork.Instrumentation` | `getInstrumentation(edu.iris.Fissures.network.ChannelImpl chan)` Deprecated.
    `java.lang.String` | `getName()` Deprecated. returns the name of the server.
    `edu.sc.seis.fissuresUtil.cache.CacheNetworkAccess` | `getNetwork(edu.iris.Fissures.network.NetworkAttrImpl attr)` Deprecated.
    `java.util.List<? extends edu.sc.seis.fissuresUtil.cache.CacheNetworkAccess>` | `getNetworkByName(java.lang.String name)` Deprecated.
    `java.util.List<? extends edu.iris.Fissures.network.NetworkAttrImpl>` | `getNetworks()` Deprecated.
    `edu.iris.Fissures.model.TimeInterval` | `getRefreshInterval()` Deprecated.
    `edu.iris.Fissures.model.QuantityImpl` | `getSensitivity(edu.iris.Fissures.network.ChannelImpl chan)` Deprecated.
    `java.util.List<? extends edu.iris.Fissures.network.StationImpl>` | `getStations(edu.iris.Fissures.network.NetworkAttrImpl net)` Deprecated.
    `void` | `setConstraints(NetworkQueryConstraints constraints)` Deprecated.
    `static java.lang.String` | `toDateString(edu.iris.Fissures.model.MicroSecondDate msd)` Deprecated.

    - ### Methods inherited from class edu.sc.seis.sod.source.AbstractSource

      `appendToName, getFissuresNamingService, getRetries, getRetryStrategy, setRetryStrategy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface edu.sc.seis.sod.source.network.NetworkSource

      `getRetries, getRetryStrategy`

    - ### Methods inherited from interface edu.sc.seis.sod.source.Source

      `appendToName`

- - ### Field Detail

    - #### ONE_SECOND

          public static final edu.iris.Fissures.model.TimeInterval ONE_SECOND

      Deprecated.

    - #### ONE_DAY

          public static final edu.iris.Fissures.model.TimeInterval ONE_DAY

      Deprecated.

    - #### URL_ELEMENT

          public static final java.lang.String URL_ELEMENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### EMPTY_STATIONXML

          public static final byte[] EMPTY_STATIONXML

      Deprecated.

  - ### Constructor Detail

    - #### StationXML

          public StationXML(org.w3c.dom.Element config)
                     throws ConfigurationException

      Deprecated.
      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### getDNS

          public java.lang.String getDNS()

      Deprecated.

    - #### getName

          public java.lang.String getName()

      Deprecated.
      Description copied from interface: `Source`
      returns the name of the server. The name to which the server's servant instance is bound in the CORBA naming service. For non-corba servers, this string can be anything that seems reasonable and is relatively unique
      Specified by:
        `getName` in interface `Source`
      Overrides:
        `getName` in class `AbstractSource`
      Returns:
        a `String` value

    - #### getRefreshInterval

          public edu.iris.Fissures.model.TimeInterval getRefreshInterval()

      Deprecated.
      Specified by:
        `getRefreshInterval` in interface `NetworkSource`
      Overrides:
        `getRefreshInterval` in class `AbstractNetworkSource`

    - #### getNetwork

          public edu.sc.seis.fissuresUtil.cache.CacheNetworkAccess getNetwork(edu.iris.Fissures.network.NetworkAttrImpl attr)

      Deprecated.
      Specified by:
        `getNetwork` in interface `NetworkSource`

    - #### getNetworkByName

          public java.util.List<? extends edu.sc.seis.fissuresUtil.cache.CacheNetworkAccess> getNetworkByName(java.lang.String name)
                                                                                                       throws edu.iris.Fissures.IfNetwork.NetworkNotFound

      Deprecated.
      Specified by:
        `getNetworkByName` in interface `NetworkSource`
      Throws:
        `edu.iris.Fissures.IfNetwork.NetworkNotFound`

    - #### getNetworks

          public java.util.List<? extends edu.iris.Fissures.network.NetworkAttrImpl> getNetworks()

      Deprecated.
      Specified by:
        `getNetworks` in interface `NetworkSource`

    - #### getStations

          public java.util.List<? extends edu.iris.Fissures.network.StationImpl> getStations(edu.iris.Fissures.network.NetworkAttrImpl net)

      Deprecated.
      Specified by:
        `getStations` in interface `NetworkSource`

    - #### getChannels

          public java.util.List<? extends edu.iris.Fissures.network.ChannelImpl> getChannels(edu.iris.Fissures.network.StationImpl station)

      Deprecated.
      Specified by:
        `getChannels` in interface `NetworkSource`

    - #### getSensitivity

          public edu.iris.Fissures.model.QuantityImpl getSensitivity(edu.iris.Fissures.network.ChannelImpl chan)
                                                              throws edu.iris.Fissures.IfNetwork.ChannelNotFound,
                                                                     edu.sc.seis.fissuresUtil.sac.InvalidResponse

      Deprecated.
      Specified by:
        `getSensitivity` in interface `NetworkSource`
      Throws:
        `edu.iris.Fissures.IfNetwork.ChannelNotFound`
        `edu.sc.seis.fissuresUtil.sac.InvalidResponse`

    - #### getInstrumentation

          public edu.iris.Fissures.IfNetwork.Instrumentation getInstrumentation(edu.iris.Fissures.network.ChannelImpl chan)
                                                                         throws edu.iris.Fissures.IfNetwork.ChannelNotFound,
                                                                                edu.sc.seis.fissuresUtil.sac.InvalidResponse

      Deprecated.
      Specified by:
        `getInstrumentation` in interface `NetworkSource`
      Throws:
        `edu.iris.Fissures.IfNetwork.ChannelNotFound`
        `edu.sc.seis.fissuresUtil.sac.InvalidResponse`

    - #### setConstraints

          public void setConstraints(NetworkQueryConstraints constraints)

      Deprecated.
      Specified by:
        `setConstraints` in interface `NetworkSource`
      Overrides:
        `setConstraints` in class `AbstractNetworkSource`

    - #### toDateString

          public static java.lang.String toDateString(edu.iris.Fissures.model.MicroSecondDate msd)

      Deprecated.